Var bolCustomCreatedLegacy

!macro CustomCodePreInstall
	${If} ${FileExists} "$INSTDIR\App\AppInfo\AppInfo.ini"
		ReadINIStr $0 "$INSTDIR\App\AppInfo\appinfo.ini" "Version" "PackageVersion"
		${VersionCompare} "$0" "1.3.99.1" $1
		${If} $1 == "2"  ;$0 is older than
			RMDir /r "$INSTDIR\Data"
		${EndIf}
	${Else}
		StrCpy $0 "0.0.0.0"
	${EndIf}
	
	ReadRegStr $1 HKLM "Software\Microsoft\Windows NT\CurrentVersion" "CurrentBuild"
	
	${If} $1 == 9200 ;Windows 8.0
	${OrIf} $1 < 7600 ;Windows XP/Vista
		ReadINIStr $0 "$INSTDIR\App\AppInfo\appinfo.ini" "Version" "PackageVersion"
		${VersionCompare} $0 "1.4.8.0" $R0
		${If} $R0 == 0
			${GetParent} $INSTDIR $1
			${IfNot} ${FileExists} "$1\ScribusPortableLegacyWinXP\*.*"
				${GetParent} $INSTDIR $1
				CreateDirectory "$1\ScribusPortableLegacyWinXP"
				CopyFiles /SILENT "$INSTDIR\*.*" "$1\ScribusPortableLegacyWinXP"
				StrCpy $bolCustomCreatedLegacy true
			${EndIf}	
		${EndIf}
	${EndIf}
!macroend

!macro CustomCodePostInstall
	${If} $bolCustomCreatedLegacy == true
		${GetParent} $INSTDIR $1
		Delete "$1\ScribusPortableLegacyWinXP\ScribusPortable.exe"
		CopyFiles /SILENT "$INSTDIR\Other\Source\Legacy\ScribusPortableLegacyWinXP.exe" "$1\ScribusPortableLegacyWinXP"
		Delete "$1\ScribusPortableLegacyWinXP\App\AppInfo\Launcher\custom.nsh"
		CopyFiles /SILENT "$INSTDIR\Other\Source\Legacy\custom.nsh" "$1\ScribusPortableLegacyWinXP\App\AppInfo\Launcher"
		Delete "$1\ScribusPortableLegacyWinXP\App\AppInfo\Launcher\ScribusPortable.ini"
		CopyFiles /SILENT "$INSTDIR\Other\Source\Legacy\ScribusPortableLegacyWinXP.ini" "$1\ScribusPortableLegacyWinXP\App\AppInfo\Launcher"
		Delete "$1\ScribusPortableLegacyWinXP\help.html"
		CopyFiles /SILENT "$INSTDIR\Help.html" "$1\ScribusPortableLegacyWinXP"
		Delete "$1\ScribusPortableLegacyWinXP\App\AppInfo\FileTypeIcons\*.*"
		CopyFiles /SILENT "$INSTDIR\App\AppInfo\FileTypeIcons\*.*" "$1\ScribusPortableLegacyWinXP\App\AppInfo\FileTypeIcons"
		Delete "$1\ScribusPortableLegacyWinXP\App\AppInfo\*.png"
		Delete "$1\ScribusPortableLegacyWinXP\App\AppInfo\*.ico"
		CopyFiles /SILENT "$INSTDIR\App\AppInfo\*.png" "$1\ScribusPortableLegacyWinXP\App\AppInfo"
		CopyFiles /SILENT "$INSTDIR\App\AppInfo\*.ico" "$1\ScribusPortableLegacyWinXP\App\AppInfo"
		WriteINIStr "$1\ScribusPortableLegacyWinXP\App\AppInfo\AppInfo.ini" "Format" "Version" "3.8"
		WriteINIStr "$1\ScribusPortableLegacyWinXP\App\AppInfo\AppInfo.ini" "Details" "AppID" "ScribusPortableLegacyWinXP"
		WriteINIStr "$1\ScribusPortableLegacyWinXP\App\AppInfo\AppInfo.ini" "Details" "Name" "Scribus Portable (Legacy WinXP)"
		WriteINIStr "$1\ScribusPortableLegacyWinXP\App\AppInfo\AppInfo.ini" "Details" "Homepage" "https://portableapps.com/apps/office/scribus_portable"
		WriteINIStr "$1\ScribusPortableLegacyWinXP\App\AppInfo\AppInfo.ini" "Control" "Start" "ScribusPortableLegacyWinXP.exe"
		WriteINIStr "$1\ScribusPortableLegacyWinXP\App\AppInfo\AppInfo.ini" "Control" "BaseAppID" "%BASELAUNCHERPATH%\App\Scribus\Scribus.exe"
		Delete "$1\ScribusPortableLegacyWinXP\App\AppInfo\installer.ini"
	${EndIf}
!macroend
